Bug 730418 - cpupower if now part of the kernel
Summary: cpupower if now part of the kernel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpupowerutils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 731743
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 20:37 UTC by Thorsten Leemhuis
Modified: 2011-08-22 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 16:51:20 UTC


Attachments (Terms of Use)

Description Thorsten Leemhuis 2011-08-12 20:37:33 UTC
Description of problem:
cpupower was merged into the tools directory for linux 3.1:
http://git.kernel.org/linus/7fe2f6399a84760a9af8896ac152728250f82adb
That version works actually better on my machine fir a Core i5 and the kernel afaics from now on is the official place for further development for this tool.

Might be wise to build it from the kernel spec file, just like perf (or find a better solution)

Comment 1 Petr Šabata 2011-08-14 17:23:43 UTC
(In reply to comment #0)
> Description of problem:
> (...)
> Might be wise to build it from the kernel spec file, just like perf (or find a
> better solution)

Indeed, this would probably be the best way to deal with that.

CC'ing Dave...

Comment 2 Dave Jones 2011-08-16 16:07:57 UTC
yes, we can do this.
We can probably just lift most of the spec changes out of the existing cpupower specfile, and just add an Obsoletes:

you'll need to do the koji magic to retire the package in f16.

Comment 3 Petr Šabata 2011-08-17 11:56:41 UTC
(In reply to comment #2)
> you'll need to do the koji magic to retire the package in f16.

Just let me know when you have prepared the kernel package changes and I'll kill it.

Comment 4 Petr Šabata 2011-08-22 12:55:09 UTC
A request to block cpupowerutils utils in rawhide & f16 koji collections:

https://fedorahosted.org/rel-eng/ticket/4891

Comment 5 Petr Šabata 2011-08-22 16:51:20 UTC
Blocked;  closing.


Note You need to log in before you can comment on or make changes to this bug.